#980 Compilation failure

None
closed-duplicate
nobody
Windows (49)
v1.23.1
5
2013-09-16
2013-07-11
Tom Madron
No

I have used Geany for several years, mostly for programming with FBC. I updated from version 0.21 to version 1.23.1. Geany no longer compiled FBC code on Windows 7. This is a problem so a returned to version 21 and all seems well. I also have Linux machines but am hesitant to try upgrading on those machines.

Related

Bugs: #943
Bugs: #980

Discussion

<< < 1 2 (Page 2 of 2)
  • Lex Trotman
    Lex Trotman
    2013-07-18

    On 18 July 2013 04:40, Tom Madron tmadron@users.sf.net wrote:

    Yes, I use command.exe as the default command shell. Please note:

    The microsoft shells are cmd.exe or command.com, my quick research suggests
    command.exe is a trojan.

    The following is the compile statement in the set build command screen:

    fbc -w all "%f"
    This is identical to what is in version 0.21. There are no other set build
    command compile statements.

    There are no add-on elements.

    Status: open
    Created: Thu Jul 11, 2013 10:23 PM UTC by Tom Madron
    Last Updated: Tue Jul 16, 2013 05:02 PM UTC
    Owner: nobody

    I have used Geany for several years, mostly for programming with FBC. I
    updated from version 0.21 to version 1.23.1. Geany no longer compiled FBC
    code on Windows 7. This is a problem so a returned to version 21 and all
    seems well. I also have Linux machines but am hesitant to try upgrading on
    those machines.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/geany/bugs/980/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #980

  • Tom Madron
    Tom Madron
    2013-07-18

    Actually I use the default command shell which is cmd.exe, sometimes in an administrative mode.

     
  • Tom Madron
    Tom Madron
    2013-07-18

    Actually I use the default command shell, cmd.exe. I have never tried using command.exe (typo above) or a .com extension since Windows became available as an operating environment more-or-less independent of the old DOS. I currently have five Windows (4 Windows 7, 1 Windows XP) machines and two Linux machines. There is either some sort of bug in Geany 1.23.1 or the compilation procedure has been changed sufficiently to preclude compilers previously supported. You can see the issue in the listing of the debugging messages above between 0.21.0 and 1.23.1l

     
  • Lex Trotman
    Lex Trotman
    2013-07-18

    On 18 July 2013 16:53, Tom Madron tmadron@users.sf.net wrote:

    Actually I use the default command shell, cmd.exe. I have never tried
    using command.exe (typo above) or a .com extension since Windows became
    available as an operating environment more-or-less independent of the old
    DOS. I currently have five Windows (4 Windows 7, 1 Windows XP) machines and
    two Linux machines. There is either some sort of bug in Geany 1.23.1 or the
    compilation procedure has been changed sufficiently to preclude compilers
    previously supported. You can see the issue in the listing of the debugging
    messages above between 0.21.0 and 1.23.1l

    As I said above the way in which compile commands are invoked on Windows
    was changed in 1.23 to fix some problems with large output from the
    compiler. Clearly that change has some side effects.

    Let me assure you that the Linux version has not changed and you are safe
    to upgrade that.

    It was suggested that there may be a problem with how the command should be
    quoted, could you try removing the " around the %f in the compile command.

     
    • labels: --> Windows
    • Found in: --> v1.23.1
    • Fixed in: v1.23.1 --> None
     
  • I also have Linux machines but am hesitant to try upgrading on those machines.

    As said above, it's most likely an issue in some Windows-specific code, so it probably doesn't affect Linux.

     
  • Matthew Brush
    Matthew Brush
    2013-09-16

    • status: open --> closed-duplicate
     
  • Matthew Brush
    Matthew Brush
    2013-09-16

    Duplicate of [#943], will link back here from original to keep details provided relevant. Thanks for reporting!

     

    Related

    Bugs: #943

<< < 1 2 (Page 2 of 2)